=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
  comerr-dev, docbook-to-man, doxygen,
  libkeyutils-dev [linux-any], libldap2-dev,
  libncurses5-dev, libssl-dev,  ss-dev, 
- libverto-dev (>= 0.2.4), pkg-config
+ libverto-dev (>= 0.2.4), pkg-config, dh-systemd
 build-depends-indep: python-cheetah, python-lxml, python-sphinx, doxygen-latex
 Standards-Version: 3.9.5
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
+Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
 Homepage: http://web.mit.edu/kerberos/
 VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5-2013.git
@@ -280,3 +279,4 @@
 Pre-Depends: ${misc:Pre-Depends}
 Description: MIT Kerberos runtime libraries - KDC and Admin Server
  Kerberos is a system for authenticating users and services on a network.
+ Kerberos is a trusted third-party service.  That means that there is a
