=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
  libkeyutils-dev [linux-any], libldap2-dev,
  libncurses5-dev, libssl-dev,  ss-dev, 
  libverto-dev (>= 0.2.4), pkg-config, dh-systemd
-build-depends-indep: python-cheetah, python-lxml, python-sphinx, doxygen-latex
-Standards-Version: 3.9.5
-Maintainer: Sam Hartman <hartmans@debian.org>
+build-depends-indep: python, python-cheetah, python-lxml, python-sphinx, doxygen-latex
+Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
 Homepage: http://web.mit.edu/kerberos/
 VCS-Git: git://git.debian.org/git/pkg-k5-afs/debian-krb5-2013.git
@@ -37,7 +38,8 @@
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
  libkadm5srv-mit9,
- krb5-config, krb5-user, lsb-base (>= 3.0-6), libverto-libev1 | libverto-libevent1
+ krb5-config, krb5-user, lsb-base (>= 3.0-6), libverto-libev1 | libverto-libevent1,
+ libkdb5-8 (>= 1.13.1+dfsg-1)
 Suggests: openbsd-inetd | inet-superserver, krb5-admin-server,
  krb5-kdc-ldap (= ${binary:Version})
 Description: MIT Kerberos key server (KDC)
@@ -176,7 +178,8 @@
 
 Package: krb5-otp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrad0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libkrad0 (= ${binary:Version}),
+ libkrb5-3 (>= 1.12~alpha1+dfsg-1~)
 Priority: extra
 Multi-Arch: same
 Description: OTP plugin for MIT Kerberos
@@ -191,6 +194,24 @@
  (RFC 6560), which allows Kerberos tickets to be obtained using
  One-Time Password authentication.  This plugin is for use on the KDC; the
  client support is built in to libkrb5.
+
+Package: krb5-k5tls
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (>= 1.13~alpha1+dfsg~)
+Priority: extra
+Multi-Arch: same
+Description: TLS plugin for MIT Kerberos
+ Kerberos is a system for authenticating users and services on a network.
+ Kerberos is a trusted third-party service.  That means that there is a
+ third party (the Kerberos server) that is trusted by all the entities on
+ the network (users and services, usually called "principals").
+ .
+ This is the MIT reference implementation of Kerberos V5.
+ .
+ This package contains a plugin for the TLS functionality used by optional
+ functionality in MIT Kerberos.  The only current consumer is client support
+ for the MS-KKDCP protocol, which tunnels Kerberos protocol traffic through
+ an HTTPS proxy.
 
 Package: krb5-doc
 Architecture: all
@@ -259,24 +280,3 @@
 Suggests: krb5-doc, krb5-user
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Description: MIT Kerberos runtime libraries - GSS enabled ONCRPC
- Kerberos is a system for authenticating users and services on a network.
- Kerberos is a trusted third-party service.  That means that there is a
- third party (the Kerberos server) that is trusted by all the entities on
- the network (users and services, usually called "principals").
- .
- This is the MIT reference implementation of Kerberos V5.
- .
- This package contains an RPC library used by the Kerberos administrative
- programs and potentially other applications.
-
-Package: libkadm5srv-mit9
-Section: libs
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: krb5-doc, krb5-user
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Description: MIT Kerberos runtime libraries - KDC and Admin Server
- Kerberos is a system for authenticating users and services on a network.
- Kerberos is a trusted third-party service.  That means that there is a
